RelativeTimePatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class RelativeTimePatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.RelativeTimePatternConverter

    public class RelativeTimePatternConverter

extends LoggingEventPatternConverter

Return the relative time in milliseconds since loading of the LoggingEvent class.

Author:
  Ceki Gülcü

Constructor Summary
`RelativeTimePatternConverter()` Private constructor.

Method Summary
`void` | `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`static RelativeTimePatternConverter` | `newInstance(String[] options)` Obtains an instance of RelativeTimePatternConverter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeTimePatternConverter

    public RelativeTimePatternConverter()

  Private constructor.

Method Detail

### newInstance

    public static RelativeTimePatternConverter newInstance(String[] options)

  Obtains an instance of RelativeTimePatternConverter.

  Parameters:
    `options` - options, currently ignored, may be null.
  Returns:
    instance of RelativeTimePatternConverter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.